<script>
	export let value;
	export let min;
	export let max;
	export let precision;

	const handleChange = (e) => {
		// TODO
		if (value > max) {
			// Convert to String
			max = value;
			const decimalCount = (num) => {
				// Convert to String
				const numStr = String(num);
				// String Contains Decimal
				if (numStr.includes('.')) {
					return numStr.split('.')[1].length;
				}
				// String Does Not Contain Decimal
				return 0;
			};
			precision = decimalCount(value); // 9
			console.log(precision); // 0
		}
		if (value < min) {
			min = value;
		}
		// -------------------------
	};
</script>

<div
	class="tooltip tooltip-right"
	data-tip="Max: {max ?? 'none'} |  Min: {min ?? 'none'} | Precision: {precision ?? 'none'}"
>
	<!--    TODO -->
	<input
		type="number"
		step="1"
		{min}
		{max}
		bind:value
		class="input input-bordered w-full border-accent"
		on:change={handleChange}
	/>
	<!--         -->
</div>
